<app-large-card-layout [title]="user?.nickName">
    <div class="control">
        <button *ngIf="canEditForm && !(currentStatus | isEditing)" mat-icon-button title="Редактировать форму" 
        [disabled]="!canEditForm"
        (click)="onEditClick()">
            <mat-icon>edit</mat-icon>
        </button>
        <button *ngIf="(currentStatus | isEditing)" mat-icon-button title="Сохранить форму"
            (click)="onSaveClick()">
            <mat-icon>save</mat-icon>
        </button> 
        <button mat-icon-button (click)="onLogoutClick()">
            <mat-icon>logout</mat-icon>
        </button>
        <div class="nickname">
            {{nick || 'Me'}}
        </div>
    </div>
    <div #contentArea (click)="onContentFieldClick($event)" class="content">
        <ng-container #gridArea></ng-container>
    </div>  
</app-large-card-layout>
<div *ngIf="isLoading" class="loader">
    <mat-spinner></mat-spinner>
</div>
